For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginTalk to us
DocumentationSDKsConnectAPI Reference
DocumentationSDKsConnectAPI Reference
  • API Reference
      • GETGet Suppression List
      • POSTAdd User to Suppression List
      • DELDelete User from Suppression List
LogoLogo
LoginTalk to us
API ReferenceSuppression List

Add User to Suppression List

POST
https://api.fyno.io/v1/:WSID/suppressions
POST
/v1/:WSID/suppressions
$curl -X POST https://api.fyno.io/v1/FYXXXXXXXX/suppressions \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "distinct_id": "XXXX-XXX-XXXX",
> "channel": "sms"
>}'
1{
2 "status": "ok",
3 "_message": "User has been added to the suppression!"
4}

Add a user to the suppression list for a given channel.

Note: If both distinct_id and destination are provided, distinct_id takes precedence, and destination is ignored.

Was this page helpful?
Previous

Delete User from Suppression List

Next
Built with

Authentication

AuthorizationBearer
Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

Path parameters

WSIDstringRequired
Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.

Request

This endpoint expects an object.
objectRequired
OR
objectRequired

Response

Suppression list updated.
statusstring
_messagestring

Errors

400
Bad Request Error
401
Unauthorized Error